
Figure - Bug #112927
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】进入系统-重置选项-恢复出厂设置页面，点击左上角返回按钮，设备直接退出设置
，返回主界面
2022-10-25 16:28 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-25

Priority: Normal Due date: 2022-10-25

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221025.alpha_0039

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、设置-系统-重置选项

2、点击进入恢复出厂设置界面

3、点击左上角返回按钮

【预期结果】

3、回到系统-重置选项页面

【实际结果】

3、点击之后回到主页面

【复现率】

5/5

History

#1 - 2022-10-25 17:54 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#2 - 2022-10-25 19:19 - CD AF-陈羽杰

- Due date set to 2022-10-25

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Root cause set to 编码问题

■ Current conclusion

本地已验证修复

■ My analysis
由于原生启动方式导致返回逻辑判断失效

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/157839

#3 - 2022-10-25 19:19 - CD AF-陈羽杰

- Degrated changed from -- to No

#4 - 2022-10-26 10:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

10.26 验证关闭

#5 - 2022-10-26 10:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157839 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix factory page back exception1.In factory page, click the return button to return to the main interfaceTC-RID: 1201-0201809IssueID:

TS-R-BUG-112927Change-Id: I4af2424fc7dfceb23622423f5f9bbac1894fee4e

Files

1627.txt 2.56 MB 2022-10-25 CD TEST-方永红
